Subject: bug#44961: closed (Re: bug#44961: 28.0.50; [feature/pgtk] frame-position returns incorrect information)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 21 Feb 2022 14:51:02 +0000

Your bug report

#44961: 28.0.50; [feature/pgtk] frame-position returns incorrect information

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44961: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44961
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44961: 28.0.50; [feature/pgtk] frame-position returns incorrect information
From: Robert Pluim <[email-masked]>
To: Po Lu <[email-masked]>
Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked], Stephen Berman <[email-masked]>
Date: Mon, 21 Feb 2022 15:50:35 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

>>>>> On Mon, 21 Feb 2022 21:26:37 +0800, Po Lu <[email-masked]> said:

    Po> Robert Pluim <[email-masked]> writes:
    >> If reporting (0 . 0) for undecorated and fullboth frames and a fixed
    >> value for decorated frames works, then I see no problem with it
    >> (although I donʼt run pgtk as my daily driver, so perhaps there are
    >> other issues). The frame positioning portions of desktop.el and
    >> similar are doomed under Wayland in any case.

    Po> Yes, indeed.  Let's keep the status quo for now and see if anyone
    Po> complains in the future.

OK. Iʼll close the bug for now, we can always reopen it later.

    Po> Thanks for your input.

np

Robert
-- 

Subject: 28.0.50; [feature/pgtk] frame-position returns incorrect information
From: Robert Pluim <[email-masked]>
To: [email-masked]
Date: Mon, 30 Nov 2020 15:33:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This is under Gnome Shell on Debian 10, which I think uses mutter as a
window manager:

./emacs -Q # The frame is near the top-left, I move it to the right bottom quadrant
(pgtk-backend-display-class) => "GdkWaylandDisplay"
(frame-position) => (0 . 0)

GDK_BACKEND=x11 ./emacs -Q
(pgtk-backend-display-class) => "GdkX11Display"
(frame-position) => (0 . 0)

./emacs -Q # emacs master branch
(frame-position) => (2136 . 549)

(also `set-frame-position' doesnʼt work, even though I see it calling
gtk_window_move. I can open a separate report for that)

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.5, cairo version 1.16.0)
 of 2020-11-24 built on rltb
Repository revision: d6ef9af82eafef33e117dd61aa3bd51a2464fcc6
Repository branch: feature/pgtk
Windowing system distributor 'System Description: Debian GNU/Linux 10 (buster)

Configured using:
 'configure --with-pgtk'

Configured features:
JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 PGTK XIM MODULES THREADS LIBSYSTEMD JSON
PDUMPER LCMS2